Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse

From: Po Lu <[email-masked]>
Date: Mon, 22 Aug 2022 09:35:14 +0800

Stefan <[email-masked]> writes:

> Menus stopped working recently when operated with the mouse.
> What works:
>
> - I can click on the menu bar, and that brings down the corresponding
>   menu.
> - I can use the arrow keys and the RET key to move in the menus and
>   select a particular entry.
> - I can move the mouse to select another menu.
>
> What doesn't:
>
> - The menu entries are not highlighted as I move the mouse over
>   them, and submenus don't popup as I move the mouse over them.
> - If I mouse-click on an entry in a menu, the menu is not removed and
>   the corresponding command is not run.  Instead I get my window
>   manager's "root menu" (i.e. the menu I get when I click in the
>   background) popup on top of the Lucid menu.
>   Same happens if I click on a menu entry which is a submenu.
>
> The behavior is basically the same for popup menus, except that in popup
> menus the submenus do popup as I move the mouse over them and if I click
> on an entry which is a submenu the menu is popped down.

I don't see this problem here with or without cairo, but as with all
bugs related to grabs this is inherently difficult to reproduce.

Please put a breakpoint on line 2879 of xlwmenu.c and tell me what
XtGrabPointer returns.  Make sure to do this from another machine, since
grabbing will not work if you switch windows or click anywhere else.